Swap Order Callback

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

What does this endpoint do?

The objective of this endpoint is to enable subscription for notifications related to the swap order flow within your integrated application. To establish this subscription, it is imperative to provide a target URL to which we will send these notifications.

You will be notified of every critical status change.

Here is an example of the callback message:

{
    "id": "123456789-0e9c-492e-8815-10ef81964f87",
    "externalId": "TESTETESTE99D6f3521dF211DcC3EE1Ca62dC9d559",
    "clientId": "testetes-24f9-4f7e-afe9-16ac09e8787a",
    "referenceId": "TESTESTES1517571431075858",
    "name": "Phineas",
    "taxId": "12345678910",
    "taxIdCountry": "BRA",
    "status": "SwapOrderCreated",
    "from": {
        "accountId": "0000",
        "amount": 10.00,
        "currency": "BRL"
    },
    "to": {
        "accountId": "0000",
        "amount": 10.0000,
        "currency": "BRZ"
    },
    "depositInformation": {
        "blockchain": "None"
    },
    "withdrawalInformation": {
        "blockchain": "Polygon",
        "accountKey": "TESTETESTE99D6f3521dF211DcC3EE1Ca62dC9d559"
    }
}
Path Params
string
required
Defaults to 2

The current version of BaaSiC API

Body Params
string
required

The URL notification to receive the callback

string
enum

The way the notification will be retrieve.

Allowed:
Headers
string
required

The personal authentication token obtained by each user from the token authentication endpoint

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain